Name:           kannolo-release
Summary:        Kannolo release files
Version:        28
Release:        0.1
License:        MIT
Source0:        LICENSE
Source1:        README.license
Source2:        kkofler-kannolo.repo
Source3:        RPM-GPG-KEY-kannolo
Source4:        85-display-manager.preset
Source5:        90-default.preset
Source6:        99-default-disable.preset
# for macros.systemd
BuildRequires:  systemd
Provides:       redhat-release
Provides:       system-release
Provides:       system-release(%{version})
Requires:       filesystem
# Comment this next Requires out if we're building for a non-rawhide target
Requires:       fedora-repos-rawhide
Requires:       fedora-repos(%{version})
BuildArch:      noarch
Conflicts:      redhat-release
Conflicts:      fedora-release
Conflicts:      generic-release

%description
Kannolo release files such as yum configs and various /etc/ files that
define the release.


%prep
%setup -c -T
cp -a %{SOURCE0} %{SOURCE1} %{SOURCE4} %{SOURCE5} %{SOURCE6} .

%build

%install
install -d %{buildroot}%{_sysconfdir}
echo "Kannolo release %{version} (Fedora Remix)" > %{buildroot}%{_sysconfdir}/fedora-release
echo "cpe:/o:kannolo:kannolo:%{version}" > %{buildroot}%{_sysconfdir}/system-release-cpe
cp -p %{buildroot}%{_sysconfdir}/fedora-release %{buildroot}%{_sysconfdir}/issue
echo "Kernel \r on an \m (\l)" >> %{buildroot}%{_sysconfdir}/issue
cp -p %{buildroot}%{_sysconfdir}/issue %{buildroot}%{_sysconfdir}/issue.net
echo >> %{buildroot}%{_sysconfdir}/issue
ln -s fedora-release %{buildroot}%{_sysconfdir}/redhat-release
ln -s fedora-release %{buildroot}%{_sysconfdir}/system-release

mkdir -p %{buildroot}%{_presetdir}

%global _userpresetdir %{dirname:%{_presetdir}}/user-preset
mkdir -p %{buildroot}%{_userpresetdir}

cat << EOF >>%{buildroot}%{_prefix}/lib/os-release
NAME=Kannolo
VERSION=%{version}
ID=kannolo
VERSION_ID=%{version}
PRETTY_NAME="Kannolo %{version}"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:kannolo:kannolo:%{version}"
EOF
# Create the symlink for /etc/os-release
ln -s ..%{_prefix}/lib/os-release %{buildroot}%{_sysconfdir}/os-release

# Set up the dist tag macros
install -d -m 755 %{buildroot}%{_rpmconfigdir}/macros.d
cat >> %{buildroot}%{_rpmconfigdir}/macros.d/macros.dist << EOF
# dist macros.

%%fedora		%{version}
%%dist		.fc%{version}
%%fc%{version}		1
EOF

# Install the .repo file for the Kannolo Copr
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/yum.repos.d

# Install the GPG key for the Kannolo Copr
install -Dpm 644 %{SOURCE3} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kannolo

# Add presets
# Default system wide
install -m 0644 85-display-manager.preset %{buildroot}%{_presetdir}/
install -m 0644 90-default.preset %{buildroot}%{_presetdir}/
install -m 0644 99-default-disable.preset %{buildroot}%{_presetdir}/

%files
%license LICENSE README.license
%config %attr(0644,root,root) %{_prefix}/lib/os-release
%{_sysconfdir}/os-release
%config %attr(0644,root,root) %{_sysconfdir}/fedora-release
%{_sysconfdir}/redhat-release
%{_sysconfdir}/system-release
%config %attr(0644,root,root) %{_sysconfdir}/system-release-cpe
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/issue
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/issue.net
%dir %{_sysconfdir}/yum.repos.d/
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%{_sysconfdir}/pki/rpm-gpg/*
%attr(0644,root,root) %{_rpmconfigdir}/macros.d/macros.dist
%dir %{_presetdir}/
%{_presetdir}/85-display-manager.preset
%{_presetdir}/90-default.preset
%{_presetdir}/99-default-disable.preset
%dir %{_userpresetdir}/

%changelog
* Sun Jan 21 2018 Kevin Kofler <Kevin@tigcc.ticalc.org> - 28-0.1
- bump version
- update 90-default.preset to the current upstream version

* Wed Oct 19 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 26-0.1
- bump version
- update 90-default.preset to the current upstream version
- own systemd preset directories, systemd no longer owns them for some reason

* Mon Aug 24 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 24-0.2
- give the .repo file a name independent of the distribution release
- ship the GPG key in the package so the live image includes it

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 24-0.1
- update for Rawhide
- BuildRequires: systemd for macros.systemd (no longer implicit in Rawhide)

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 23-1
- update for Kannolo 23
- remove obsolete Provides system-release-nonproduct and system-release-product
- add presets from generic-release-23-0.5
- ship /usr/lib/os-release

* Sat Aug 22 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 22-1
- update for Kannolo 22

* Sat Aug 22 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-17
- include updated .repo file from the new Copr version, now checks signatures
- use %%license instead of %%doc for LICENSE and README.license

* Thu Nov 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-16
- drop branding.desc, the Calamares package now brands itself automatically

* Thu Nov 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-15
- branding.desc (Calamares branding): add bootloaderEntryName

* Sun Nov 16 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-14
- branding.desc (Calamares branding): add shortProductName
- remove /etc/calamares/modules/grubcfg/grubcfg.conf

* Sat Oct 25 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-13
- split out kannolo-release-notes subpackage into its own package
- change Obsoletes: redhat-release to Conflicts: redhat-release

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-12
- -notes: disable startup notification, does not work properly with xdg-open

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-11
- fix path to the release notes in the .desktop file

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-10
- add one-page release notes

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-9
- don't require rpm for directory ownership, breaks ordering in livecd-creator

* Fri Oct 24 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 21-8
- rename from generic-release to kannolo-release
- replace Generic with Kannolo
- remove release name from os-release
- replace release name with "Fedora Remix" in fedora-release
- remove product-specific subpackages, there is only one Kannolo
- remove irrelevant README.developers
- install the .repo file for the Kannolo Copr
- Requires: filesystem rpm (directory ownership)
- install the branding configuration for Calamares

* Tue Oct 21 2014 Tom Callaway <spot@fedoraproject.org> - 21-7
- add versioned provide for system-release(VERSION)

* Tue Oct 21 2014 Tom Callaway <spot@fedoraproject.org> - 21-6
- add productization (it is the foooooture)
- disable rawhide requires

* Thu Aug 07 2014 Dennis Gilmore <dennis@ausil.us> 
- Require fedora-repos and no longer ship repo files

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Tom Callaway <spot@fedoraproject.org> - 21-4
- license changes and clarification doc

* Sun Mar 09 2014 Bruno Wolff III <bruno@wolff.to> - 21-3
- Install dist macro into the correct directory

* Sun Jan 05 2014 Bruno Wolff III <bruno@wolff.to> - 21-2
- Work around incorrect prefix in the upstream tarball

* Sun Jan 05 2014 Bruno Wolff III <bruno@wolff.to> - 21-1
- Bump version to match current rawhide

* Sat Dec 21 2013 Bruno Wolff III <bruno@wolff.to> - 21-0.3
- Update version to 21 (which should have happened when f20 was branched)
- Changed to work with recent yum change (bug 1040607)

* Mon Dec  9 2013 Tom Callaway <spot@fedoraproject.org> - 20-1
- final release (disable rawhide dep)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Tom Callaway <spot@fedoraproject.org> - 20-0.1
- sync

* Wed Jun 26 2013 Tom Callaway <spot@fedoraproject.org> - 19-2
- sync to release

* Mon Mar 11 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 19-0.3
- Remove %%config from %%{_sysconfdir}/rpm/macros.*
  (https://fedorahosted.org/fpc/ticket/259).

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Tom Callaway <spot@fedoraproject.org> - 19-0.1
- sync to 19-0.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Tom Callaway <spot@fedoraproject.org> - 18-0.2
- sync with fedora-release model

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Tom Callaway <spot@fedoraproject.org> - 17-0.2
- initial 17

* Fri Jul 22 2011 Tom Callaway <spot@fedoraproject.org> - 16-0.2
- require -rawhide subpackage if we're built for rawhide

* Fri May 13 2011 Tom Callaway <spot@fedoraproject.org> - 16-0.1
- initial 16

* Fri May 13 2011 Tom Callaway <spot@fedoraproject.org> - 15-1
- sync to f15 final

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 15-0.3
- sync to rawhide

* Wed Feb 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 14-0.2
- fix broken requires

* Wed Feb 17 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 14-0.1
- update to sync with fedora-release

* Mon Nov 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 12-1
- Update for F12 final

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 11.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 11.90-1
- Build for F12 collection

* Wed May 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 11-1
- resync with fedora-release package

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> 10.90-2
- drop Requires: system-release-notes

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 10.90-1
- 10.90

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 10-1
- Bump to 10, update repos

* Mon Sep 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 9.91-2
- add Conflicts
- further sanitize descriptions

* Mon Sep 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 9.91-1
- initial package for generic-release and generic-release-notes
